export interface SDKConfig {
    apiKey: string;
    environment?: "production" | "staging" | "development";
    debug?: boolean;
}
export declare class WayflyerEmbedSdk {
    private config;
    private version;
    private ctaMessenger;
    private consentMessenger;
    private consentConnection;
    private manifest;
    constructor(config: SDKConfig);
    private getManifest;
    renderCallToAction(): Promise<void>;
    private openConsentModal;
    private processConsent;
    private processReject;
}
declare global {
    interface Window {
        WayflyerEmbedConfig: {
            apiKey: string;
        };
        WayflyerEmbedSdk: WayflyerEmbedSdk;
    }
}
